<div class="modal-header no-border bg-primary text-light">
  <h4 class="modal-title">
    Edit Project
  </h4>
</div>
<div class="modal-body">
  <form [formGroup]="form" (validSubmit)="editProject()">
    <app-edit-project-details [currentProject]="currentProject" [user]="user"></app-edit-project-details>
    <app-edit-project-skills [projectId]="projectId" [currentSkills]="currentSkills" [currentSkillsEmployees]="currentSkillsEmployees" [allSkills$]="allSkills$" [allEmployees$]="allEmployees$"></app-edit-project-skills>

    <div class="modal-footer no-border">
      <div class="mr-auto col d-flex flex-wrap">
        <div class="row w-25">
          <div class="lbl w-100">Planning status:</div>
          <h4 class="w-100">
            <span
              [ngClass]="{
                'badge-success': (planningStatus | async) === 'On target',
                'badge-danger': (planningStatus | async) === 'Late',
                'badge-secondary': (planningStatus | async) === 'N/A'
              }"
              class="badge badge-success text-right"
              >{{ planningStatus | async }}</span
            >
          </h4>
        </div>
        <div *ngIf="(planningStatus | async) !== 'N/A'" class="row w-25 ml-3">
          <div class="lbl w-100">Days to complete:</div>
          <div class="w-100" [innerHTML]="(completionDays | async)"></div>
        </div>
      </div>

      <button
        type="button"
        class="btn btn-outline-secondary"
        (click)="activeModal.dismiss('Dismiss click')"
      >
        Cancel
      </button>
      <button type="submit" class="btn btn-primary">
        Edit Project
      </button>
    </div>
  </form>
</div>
